GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::Command Class Referenceabstract

Command superclass for callback/observer methods. More...

`#include <gdcmCommand.h>`

Inheritance diagram for gdcm::Command:
[legend]
Collaboration diagram for gdcm::Command:
[legend]

## Public Member Functions

virtual void | Execute (Subject *caller, const Event &event)=0
| Abstract method that defines the action to be taken by the command.
virtual void | Execute (const Subject *caller, const Event &event)=0
Public Member Functions inherited from gdcm::Subject
| Subject ()
| ~Subject ()
unsigned long | AddObserver (const Event &event, Command *)
unsigned long | AddObserver (const Event &event, Command *) const
Command * | GetCommand (unsigned long tag)
bool | HasObserver (const Event &event) const
void | InvokeEvent (const Event &)
void | InvokeEvent (const Event &) const
void | RemoveAllObservers ()
void | RemoveObserver (unsigned long tag)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Protected Member Functions

| Command ()
| ~Command ()

## Detailed Description

Command superclass for callback/observer methods.

See Also
  Subject

## Constructor & Destructor Documentation

gdcm::Command::Command | ( |  | ) |

protected

gdcm::Command::~Command | ( |  | ) |

protected

## Member Function Documentation

virtual void gdcm::Command::Execute | ( | Subject * | caller,
|  | const Event & | event
| ) |  |

pure virtual

Abstract method that defines the action to be taken by the command.

Implemented in gdcm::SimpleMemberCommand< T >, and gdcm::MemberCommand< T >.

virtual void gdcm::Command::Execute | ( | const Subject * | caller,
|  | const Event & | event
| ) |  |

pure virtual

Abstract method that defines the action to be taken by the command. This variant is expected to be used when requests comes from a const Object

Implemented in gdcm::SimpleMemberCommand< T >, and gdcm::MemberCommand< T >.

The documentation for this class was generated from the following file:

- gdcmCommand.h